# enable build of Gtk gui
%define with_gtk 1

# enable build of Qt gui
# requires qyoto, obsoleted in mga6
%define with_qt 0

%define g_gtk %{name}-gui-gtk
%define g_qt %{name}-gui-qt
%define g_console %{name}-console
%define name_ver %{name}-%{version}

Summary:   Multimedia files parser/editor)
Name:      themonospot
Version:   0.9.0
Release:   %mkrel 10
License:   GPLv2
#ExcludeArch: ppc64
Group:     Video/Utilities
# url to download source https://github.com/armando-basile/themonospot/archive/0.9.0.tar.gz
Source:    https://github.com/armando-basile/%{name}/archive/%{name_ver}.tar.gz
Patch0:    target_framework_4.5.patch
URL:       https://github.com/armando-basile/%{name}/
BuildArch: noarch

BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(log4net)
BuildRequires: pkgconfig

# for Gtk gui
%if %{with_gtk}
BuildRequires: pkgconfig(gapi-2.0)
BuildRequires: glade-sharp2
Provides:      themonospot-gtk
%endif

# for Qt gui
%if %{with_qt}
BuildRequires: qyoto-devel
BuildRequires: qyoto
Provides:      themonospot-qt
%endif

Requires:      mono-core
Requires:      log4net
Obsoletes:     %{g_gtk}
Obsoletes:     %{g_qt}
Obsoletes:     themonospot-base
Obsoletes:     themonospot-base-devel
Obsoletes:     themonospot-console
Obsoletes:     themonospot-base-devel
Obsoletes:     themonospot-plugin-avi
Obsoletes:     themonospot-plugin-mkv

%description
base components and mono console application to scan multimedia
files using themonospot base component and his plugins.


# for Gtk gui
%if %{with_gtk}
%package gtk
Summary: Gtk application to use themonospot (multimedia files parser/editor)
Group: Video/Utilities
Requires:      %{name} = %{version}

%description gtk
Gtk application to use themonospot (multimedia files parser/editor).
%endif

# for Qt gui
%if %{with_qt}
%package qt
Summary: Qt application to use themonospot (multimedia files parser/editor)
Group: Video/Utilities
Requires:      %{name} = %{version}
Requires:      qyoto-devel

%description qt
Qt application to use themonospot (multimedia files parser/editor).
%endif



%prep
%setup -q
%autopatch -p1


%build
# build commands
cd %{_builddir}/%{name_ver}/build-linux
bash ./build-lnx-%{name}.sh

%if %{with_gtk}
bash ./build-lnx-%{name}-gtk.sh
%endif

%if %{with_qt}
bash ./build-lnx-%{name}-qt.sh
%endif



%install
# create folders if not exists
mkdir -p %{buildroot}%{_prefix}/lib/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_docdir}/%{name}

# install commands
cp -f %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/%{name}-base.* %{buildroot}%{_prefix}/lib/%{name}/
cp -f %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/%{name}-components.* %{buildroot}%{_prefix}/lib/%{name}/
cp -f %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/%{name}-plugin-manager.* %{buildroot}%{_prefix}/lib/%{name}/
cp -f %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/%{g_console}.* %{buildroot}%{_prefix}/lib/%{name}/
cp -rf %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/languages %{buildroot}%{_datadir}/%{name}/
cp -rf %{_builddir}/%{name_ver}/%{g_console}/bin/Debug/plugins %{buildroot}%{_datadir}/%{name}/

# generate bin script
(
cat <<EOF
#!/bin/sh
exec mono "%{_prefix}/lib/%{name}/%{g_console}.exe" "\$@"
EOF
) >> %{buildroot}%{_bindir}/%{name}
chmod 775 %{buildroot}%{_bindir}/%{name}


# for Gtk gui
%if %{with_gtk}
mkdir -p %{buildroot}%{_docdir}/%{name}-gtk
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications
cp -f %{_builddir}/%{name_ver}/%{g_gtk}/bin/Debug/%{g_gtk}.* %{buildroot}%{_prefix}/lib/%{name}/
cp -f %{_builddir}/%{name_ver}/%{g_gtk}/src/resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}-gtk.png
cp -f %{_builddir}/%{name_ver}/%{g_gtk}/src/resources/%{name}-gtk.desktop %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

(
cat <<EOF
#!/bin/sh
exec mono "%{_prefix}/lib/%{name}/%{g_gtk}.exe" "\$@"
EOF
) >> %{buildroot}%{_bindir}/%{name}-gtk
chmod 775 %{buildroot}%{_bindir}/%{name}-gtk
%endif


# for Qt gui
%if %{with_qt}
mkdir -p %{buildroot}%{_docdir}/%{name}-qt
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications
cp -f %{_builddir}/%{name_ver}/%{g_qt}/bin/Debug/%{g_qt}.* %{buildroot}%{_prefix}/lib/%{name}/
cp -f %{_builddir}/%{name_ver}/%{g_qt}/resources/%{name}_48.png %{buildroot}%{_datadir}/pixmaps/%{name}-qt.png
cp -f %{_builddir}/%{name_ver}/%{g_qt}/resources/%{name}-qt.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop

(
cat <<EOF
#!/bin/sh
exec mono "%{_prefix}/lib/%{name}/%{g_qt}.exe" "\$@"
EOF
) >> %{buildroot}%{_bindir}/%{name}-qt
chmod 775 %{buildroot}%{_bindir}/%{name}-qt
%endif




%files
%doc %{g_console}/copying.gpl
%{_bindir}/%{name}
%_prefix/lib/%{name}/%{name}-base.*
%_prefix/lib/%{name}/%{name}-components.*
%_prefix/lib/%{name}/%{name}-plugin-manager.*
%_prefix/lib/%{name}/%{g_console}.*
%_datadir/%{name}/languages/*
%_datadir/%{name}/plugins/*


%if %{with_gtk}
%files gtk
%doc %{g_gtk}/copying.gpl
%{_bindir}/%{name}-gtk
%_prefix/lib/%{name}/%{g_gtk}.*
%{_datadir}/pixmaps/%{name}-gtk.png
%{_datadir}/applications/%{name}-gtk.desktop
%endif


%if %{with_qt}
%files qt
%doc %{g_qt}/copying.gpl
%{_bindir}/%{name}-qt
%_prefix/lib/%{name}/%{g_qt}.*
%{_datadir}/pixmaps/%{name}-qt.png
%{_datadir}/applications/%{name}-qt.desktop
%endif




%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-10.mga8
+ Revision: 1535901
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 0.9.0-9.mga8
+ Revision: 1453110
- fix dependency (mono to mono-core)

* Fri Sep 21 2018 umeabot <umeabot> 0.9.0-8.mga7
+ Revision: 1291819
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 0.9.0-7.mga7
+ Revision: 1222144
- rebuild for new log4net 2.0.8

* Sat Jun 03 2017 akien <akien> 0.9.0-6.mga6
+ Revision: 1105971
- Disable for real :)
- Disable Qt GUI as qyoto dep was obsoleted

* Tue Apr 05 2016 hman <hman> 0.9.0-5.mga6
+ Revision: 998484
- fix patch file
- set target framework to 4.5
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new log4net

* Mon Nov 09 2015 hman <hman> 0.9.0-2.mga6
+ Revision: 900245
- added obsoletes info

* Fri Oct 30 2015 tv <tv> 0.9.0-1.mga6
+ Revision: 896621
- temporary disable Qt GUI
+ hman <hman>
- added qyoto-devel as dependency
- fix wrong link to assembly
- imported package themonospot

